package sgc.portal.cw.cw0803.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0803.dto.CW08030001USearch;
import sgc.portal.cw.cw0803.service.CW08030001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0803")
public class CW08030001UController {
	
    private final CW08030001UService service;

    public CW08030001UController(CW08030001UService service) {
        this.service = service;
    }

    @PostMapping("/CW08030001U/selectZehrRomResrvtnReviewList")
    public List<EasyHashMap<String, Object>> selectZehrRomResrvtnReviewList(@RequestBody CW08030001USearch search) {
        return service.selectZehrRomResrvtnReviewList(search);
    }
    
    @PostMapping("/CW08030001U/selectZehrRomResrvtnReviewCommList")
    public List<EasyHashMap<String, Object>> selectZehrRomResrvtnReviewCommList() {
        return service.selectZehrRomResrvtnReviewCommList();
    }
}